Bug 916828 - SELinux is preventing /usr/lib/systemd/systemd-localed from 'search' accesses on the directory systemd.
Summary: SELinux is preventing /usr/lib/systemd/systemd-localed from 'search' accesses...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:eaf69dcfcdb33598e2dee19b4ea...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-01 03:50 UTC by fabioballack_13
Modified: 2013-03-14 03:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-14 03:03:09 UTC
Type: ---


Attachments (Terms of Use)

Description fabioballack_13 2013-03-01 03:50:34 UTC
Description of problem:
SELinux is preventing /usr/lib/systemd/systemd-localed from 'search' accesses on the directory systemd.

*****  Plugin catchall (100. confidence) suggests  ***************************

If você acredita que o systemd-localed deva ser permitido acesso de search em systemd directory  por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep systemd-localed /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:systemd_localed_t:s0
Target Context                system_u:object_r:init_var_run_t:s0
Target Objects                systemd [ dir ]
Source                        systemd-localed
Source Path                   /usr/lib/systemd/systemd-localed
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           systemd-197-1.fc18.2.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-81.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.7.9-205.fc18.x86_64 #1 SMP Sun
                              Feb 24 20:10:02 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-03-01 01:47:56 FNT
Last Seen                     2013-03-01 01:47:56 FNT
Local ID                      7e87c3f8-eef8-4ba3-af20-5e975d324217

Raw Audit Messages
type=AVC msg=audit(1362109676.100:335): avc:  denied  { search } for  pid=2417 comm="systemd-localed" name="systemd" dev="tmpfs" ino=7267 scontext=system_u:system_r:systemd_localed_t:s0 tcontext=system_u:object_r:init_var_run_t:s0 tclass=dir


type=AVC msg=audit(1362109676.100:335): avc:  denied  { sendto } for  pid=2417 comm="systemd-localed" path="/run/systemd/journal/socket" scontext=system_u:system_r:systemd_localed_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=unix_dgram_socket


type=SYSCALL msg=audit(1362109676.100:335): arch=x86_64 syscall=connect success=yes exit=0 a0=3 a1=7fffa7075f10 a2=1d a3=7fffa7075ec8 items=0 ppid=1 pid=2417 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=systemd-localed exe=/usr/lib/systemd/systemd-localed subj=system_u:system_r:systemd_localed_t:s0 key=(null)

Hash: systemd-localed,systemd_localed_t,init_var_run_t,dir,search

audit2allow

#============= systemd_localed_t ==============
allow systemd_localed_t init_var_run_t:dir search;
allow systemd_localed_t kernel_t:unix_dgram_socket sendto;

audit2allow -R

#============= systemd_localed_t ==============
allow systemd_localed_t init_var_run_t:dir search;
allow systemd_localed_t kernel_t:unix_dgram_socket sendto;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.7.9-205.fc18.x86_64
type:           libreport

Comment 1 Daniel Walsh 2013-03-01 15:16:54 UTC
commit 451cf0208048c88d502dd54320909607ccd3c36b fixes this in Rawhide.

Comment 2 Fedora Update System 2013-03-04 12:12:00 UTC
selinux-policy-3.11.1-83.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-83.fc18

Comment 3 Fedora Update System 2013-03-04 22:34:43 UTC
Package selinux-policy-3.11.1-83.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-83.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3398/selinux-policy-3.11.1-83.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-03-08 16:12:03 UTC
selinux-policy-3.11.1-84.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-84.fc18

Comment 5 Fedora Update System 2013-03-14 03:03:12 UTC
selinux-policy-3.11.1-85.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.